<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (c) 2012, Code Aurora Forum. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *     * Neither the name of Code Aurora Forum, Inc. nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 -->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    >
    <LinearLayout
        android:id="@+id/search_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        style="?android:attr/actionButtonStyle">

        <EditText
            android:id="@+id/search_field"
            android:layout_height="wrap_content"
            android:layout_width="0dip"
            android:layout_weight="1.0"
            android:layout_marginLeft="5dip"
            android:layout_marginRight="5dip"
            android:singleLine="true"
            android:ellipsize="end"
            android:inputType="textNoSuggestions"
            android:imeOptions="actionDone"
            android:hint="@string/search_bar_hint"
            android:drawableLeft="@drawable/magnifying_glass"
            android:freezesText="true"
        />
        <TextView android:id="@+id/select_all_label"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginRight="5dip"
            android:textAppearance="?android:attr/textAppearanceLarge"
            android:singleLine="true"
            android:text="@string/select_all"
        />
        <CheckBox
            android:id="@+id/select_all_check"
            android:layout_height="wrap_content"
            android:layout_width="wrap_content"
            android:layout_marginRight="5dip"
        />
    </LinearLayout>

    <ListView android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1.0"
		android:fastScrollEnabled="true"
        android:id="@android:id/list">
    </ListView>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingTop="5dip"
        android:paddingLeft="4dip"
        android:paddingRight="4dip"
        android:paddingBottom="1dip"
        android:background="@android:drawable/bottom_bar">

        <Button android:id="@+id/btn_ok"
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/btn_ok"
            android:textColor="@android:color/white"
        />

        <Button android:id="@+id/btn_cancel"
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/btn_cancel"
            android:textColor="@android:color/white"
        />
    </LinearLayout>
</LinearLayout>
